#include "htmlbrowser.h"
#include <qtoolbar.h>
#include <qtoolbutton.h>

extern QString exePath;

HTMLBrowser::HTMLBrowser()
{
 view=new QTextBrowser(this);
 setCentralWidget(view);
 view->mimeSourceFactory()->setFilePath(".");
 view->setSource(exePath+"/../doc/html/index.html");
 view->show();
 QToolButton *button;
 QToolBar *toolbar=new QToolBar(this);
 addToolBar(toolbar,"buts");
 button = new QToolButton( QPixmap("/usr/local/vqt/bin/back.xpm"),"Backward", "", view, SLOT(backward()), toolbar );
 connect( view, SIGNAL( backwardAvailable(bool) ), button, SLOT( setEnabled(bool) ) );
 button->setEnabled( FALSE );
 button = new QToolButton( QPixmap("/usr/local/vqt/bin/forward.xpm"), "Forward", "", view, SLOT(forward()), toolbar );
 connect( view, SIGNAL( forwardAvailable(bool) ), button, SLOT( setEnabled(bool) ) );
 button->setEnabled( FALSE );
 button = new QToolButton( QPixmap("/usr/local/vqt/bin/home.xpm"), "Home", "", view, SLOT(home()), toolbar );
 view->setFocus();
 show();
};

HTMLBrowser::~HTMLBrowser()
{
 delete view;
};

int HTMLBrowser::load(char *fn)
{
 view->setSource(fn);
 return 0;
};

