/****************************************************************************
    stringsdlg.h  30/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _stringsdlg_
#define _stringsdlg_

#include <qapp.h>
#include <qdialog.h> 
#include <qpushbutton.h>
#include <qmultilinedit.h>


class StringsDlg: public QDialog {
Q_OBJECT
public:
    QPushButton      *QPushButton2;
    QPushButton      *QPushButton1;
    QMultiLineEdit   *QMultiLineEdit1;
    StringsDlg(QWidget*);
static bool EditStrings(QStrList &);
static bool EditStrings(QString &);    
protected:
    void	initRCData();	
public slots:	
    void goOnCancel();
    void goOnOk();
};


#endif
