/****************************************************************************
    dsgnedit.cpp  23/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/

#include "inspector.h"
#include "properties.h"
#include "dsgnintf.h"
#include "dsgnedit.h"


void   TListEdit::Update()
{ 
	QString value = Property->GetValue();
	
	setEditText(value);
	for (int i=0; i<count(); i++)
	if ( value == text(i) )
	{
		setCurrentItem(i);
		return;
	}
}	

void TListEdit::Sync()
{ 
	Property->SetValue( currentText() );
}	
