/****************************************************************************
    menueditor.h  10/Jul/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _vqt_FILE_
#define _vqt_FILE_

#include <qapp.h>
#include <qmainwindow.h>
class QLineEdit;
class QMenuBar; 
class FormDesigner;
class QMenuInfo;
class QMenuData;
class QMenuItem;
class QMenuLabel;

class MenuEditor: public QMainWindow {
Q_OBJECT
public:
    FormDesigner *designer;
    QObject	 *obj;
    QMenuData	 *menu;
    MenuEditor(FormDesigner*, QObject *, QMenuData *, bool Popup);
    void	checkLastItem(QMenuLabel *);
    void	addPopupTo(QMenuLabel *);
    void	Reload();
protected:
    void	initRCData();	
    void	paintEvent(QPaintEvent *e);
    void	mousePressEvent(QMouseEvent *);
    void	keyPressEvent(QKeyEvent *);
    void	closeEvent(QCloseEvent *);
public slots:	
    void goOnEnter();
};


#endif
