/****************************************************************************
    viewdlg.cpp  26/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/

#include "viewdlg.h"
#include <qmessagebox.h>
#include "../mainwnd.h"
#include <qstrlist.h>

ViewDlg::ViewDlg(QWidget *p)
: QDialog(p, "", TRUE)
{
	initMetaObject();
	initRCData();
}

void ViewDlg::goOnShow()
{
      done(1);
}

void ViewDlg::goOnClose()
{
  done(2);
}

QString ViewDlg::ShowModal(QWidget *p, QStrList &l)
{
    ViewDlg *dlg = new ViewDlg(p);
    QString	  item;

    for (l.first(); l.current(); l.next())
       dlg->QListBox1->insertItem(l.current());

    if ( dlg->exec() == 1 )
    {
    	item = dlg->QListBox1->text(dlg->QListBox1->currentItem());
    }

    delete dlg;
    
    return item;
}

