/****************************************************************************
    qtabnote.h  10/Jul/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _tabnote_
#define _tabnote_ 

#include <qtabbar.h>
#include <qtrtti.h>

class  QTabNote: public QTabBar {
Q_OBJECT
public:
	QTabNote(QWidget *p);
	virtual ~QTabNote(); 
	QWidget*    	Page(const char *Page);
	void		addTab(QWidget *W, const char *Tab);
	QTab*		tab(const char *);
//property managment
	const char 	*page();
	void  		setPage(const char *);	
	QStrList  	&pages();
	void		setPages(QStrList &l);
protected:
	void		resizeEvent(QResizeEvent *e);
	bool		event(QEvent *);
	void		paintEvent(QPaintEvent *);
private slots:
	void		Selected(int);	
};



#endif