/****************************************************************************
    source.h  14/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _source_
#define _source_

#include <qlist.h>
#include <qstring.h>

class QSource;
class FormDesigner;

class Source {
public:
static  Source	*Load(Source *, QString);
public:
	bool	modified;
	bool	project;
	QString text;
	QString ext;
	QString name;
	QString filename;
	QSource	*edit;
	Source	*main;
	FormDesigner *form;
	QListT<Source> depending;
	Source(Source *Main, QString Text);
	virtual ~Source();
	bool	Modified();
	bool    Find(int &, int &, const char *, ...);
	void	Replace(int, int, const char *, ...);
	void	ReplaceText(const char *, const char *);
	void    Save(QString, QString);
};



#endif
