/****************************************************************************
    editor.h  9/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _editor_
#define _editor_

#include <qmultilinedit.h>

class TSrcEdit: public QMultiLineEdit {
Q_OBJECT
public:
	TSrcEdit(QWidget *);
	virtual ~TSrcEdit();
	
	bool getKey(QKeyEvent *);
	void keyPressEvent(QKeyEvent *e);
	void mousePressEvent(QMouseEvent *e);
	void focusInEvent(QFocusEvent *e);
	void CursorChanged(int, int);
public slots:	
	void TextChanged();	
signals:
	void keyEvent(QKeyEvent*);	
};


#endif
