/****************************************************************************
    srcmaker.h  30/Jun/2000
    Copyright (C)  Ernesto F. Artaza  <artaza@info.isctn.edu.cu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
****************************************************************************/
#ifndef _vqt_srcmaker_
#define _vqt_srcmaker_
extern "C" {


class QString;
class QMainWindow;
class QWidget;

int srcCreateWindow(QMainWindow *Window, QString Name, QString &cpp, QString &inc);
int srcSaveAsWindow(QMainWindow *Window, QString Name, QString NewName, QString &cpp, QString &inc);

int srcAddObject(QMainWindow *Form, QObject *Child, QString &cpp, QString &inc, const char *);
int srcRenameObject(QMainWindow *Window, QObject *Child, QString Name, QString &cpp, QString &inc);
int srcRenameWindow(QMainWindow *Window, QString Name, QString &cpp, QString &inc);
int srcDeleteObject(QMainWindow *Window, QObject *Child, QString &cpp, QString &inc);




}
#endif
